## org.eclipse.datatools.sqltools.sqlbuilder.model
Class WindowStateInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.WindowStateInfo

All Implemented Interfaces:
  IWindowStateInfo

    public class WindowStateInfo

extends java.lang.Object
implements IWindowStateInfo

Defines the UI state of a window's controls.

Field Summary
`static java.lang.String` `CURRENT_VERSION`

Constructor Summary
`WindowStateInfo()` Constructor for WindowStateInfo

Method Summary
`static IWindowStateInfo` `decode(java.lang.String code)` Decodes a `WindowStateInfo` from an encoded String.
`java.lang.String` `encode()` Encodes the given `IWindowStateInfo` object for persistence.
`IControlStateInfo` `get(int controlType)` Gets the control state information of the specified control type.
`IControlStateInfo[]` `getcontrolStateInfos()` Gets array of all the `IControlStateInfo`s contained in this `IWindowStateInfo`
`int` `getHeight()` Returns the overall height of the SQL Query Builder main control.
`java.lang.String` `getVersion()` Returns the version of this window state information.
`int` `getWidth()` Returns the overall width of the SQL Query Builder main control.
`void` `put(int controlType, IControlStateInfo controlStateInfo)` Stores the control state information for the specified control type.
`void` `remove(int controlType)` Revoves the control state information for the specified control type.
`void` `setHeight(int height)` Sets the overall height of the SQL Query Builder main control.
`void` `setVersion(java.lang.String version)` Sets the version of this window state information.
`void` `setWidth(int width)` Sets the overall width of the SQL Query Builder main control.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_VERSION

    public static final java.lang.String CURRENT_VERSION

See Also:
  Constant Field Values

Constructor Detail

### WindowStateInfo

    public WindowStateInfo()

  Constructor for WindowStateInfo

Method Detail

### get

    public IControlStateInfo get(int controlType)

  Description copied from interface: `IWindowStateInfo`
  Gets the control state information of the specified control type.

  Specified by:
    `get` in interface `IWindowStateInfo`
  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
  Returns:
    IControlStateInfo instance that represents the state of the specified control type; may be null if none is available.
  See Also:
    `IControlStateInfo`

### put

    public void put(int controlType,
                    IControlStateInfo controlStateInfo)

  Description copied from interface: `IWindowStateInfo`
  Stores the control state information for the specified control type.

  Specified by:
    `put` in interface `IWindowStateInfo`
  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
    `controlStateInfo` - an IControlStateInfo instance that represents the state of the specified control type.
  See Also:
    `IControlStateInfo`

### remove

    public void remove(int controlType)

  Description copied from interface: `IWindowStateInfo`
  Revoves the control state information for the specified control type.

  Specified by:
    `remove` in interface `IWindowStateInfo`
  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
  See Also:
    `IControlStateInfo`

### getcontrolStateInfos

    public IControlStateInfo[] getcontrolStateInfos()

  Description copied from interface: `IWindowStateInfo`
  Gets array of all the `IControlStateInfo`s contained in this `IWindowStateInfo`

  Specified by:
    `getcontrolStateInfos` in interface `IWindowStateInfo`
  Returns:
    IControlStateInfo[]
  See Also:
    `IControlStateInfo`

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `IWindowStateInfo`
  Returns the version of this window state information.

  Specified by:
    `getVersion` in interface `IWindowStateInfo`
  Returns:
    version version defined by an IWindowStateInfo implementation

### setVersion

    public void setVersion(java.lang.String version)

  Description copied from interface: `IWindowStateInfo`
  Sets the version of this window state information.

  Specified by:
    `setVersion` in interface `IWindowStateInfo`
  Parameters:
    `version` - version defined by an IWindowStateInfo implementation

### getHeight

    public int getHeight()

  Description copied from interface: `IWindowStateInfo`
  Returns the overall height of the SQL Query Builder main control.

  Specified by:
    `getHeight` in interface `IWindowStateInfo`
  Returns:
    the overall height; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setHeight

    public void setHeight(int height)

  Description copied from interface: `IWindowStateInfo`
  Sets the overall height of the SQL Query Builder main control.

  Specified by:
    `setHeight` in interface `IWindowStateInfo`

### getWidth

    public int getWidth()

  Description copied from interface: `IWindowStateInfo`
  Returns the overall width of the SQL Query Builder main control.

  Specified by:
    `getWidth` in interface `IWindowStateInfo`
  Returns:
    the overall width; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setWidth

    public void setWidth(int width)

  Description copied from interface: `IWindowStateInfo`
  Sets the overall width of the SQL Query Builder main control.

  Specified by:
    `setWidth` in interface `IWindowStateInfo`

### encode

    public java.lang.String encode()

  Description copied from interface: `IWindowStateInfo`
  Encodes the given `IWindowStateInfo` object for persistence.

  Specified by:
    `encode` in interface `IWindowStateInfo`
  Returns:
    encoded String
  See Also:
    `decode(String)`

### decode

    public static IWindowStateInfo decode(java.lang.String code)

  Decodes a `WindowStateInfo` from an encoded String. The string should be a serialized `XMLMemento` for the `WindowStateInfo`.

  Parameters:
    `code` - encoded `WindowStateInfo` object.
  Returns:
    `WindowStateInfo` object
  See Also:
    `encode()`